Skip to content
OpenPostDocs
OpenPostDocs
Image editor

Replace a workspace OpenPost Image Editor template snapshot

PATCH/image-editor/templates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/image-editor/templates/string" \  -H "Content-Type: application/json" \  -d '{    "category": "string",    "document": {      "brand_kit_revision": 0,      "export_defaults": {        "format": "png",        "matte_color": "string",        "quality": 0.1      },      "height_px": 0,      "pages": [        {          "background_color": "string",          "id": "string",          "layers": [            {              "id": "string",              "locked": true,              "name": "string",              "opacity": 0.1,              "transform": {                "flip_x": true,                "flip_y": true,                "height": 0.1,                "rotation": 0.1,                "width": 0.1,                "x": 0.1,                "y": 0.1              },              "type": "text",              "visible": true            }          ],          "name": "string"        }      ],      "preset_key": "string",      "schema_version": 0,      "title": "string",      "width_px": 0    },    "name": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ImageEditorTemplateResponse.json",  "built_in": true,  "category": "string",  "created_at": "string",  "document": {    "brand_kit_id": "string",    "brand_kit_revision": 0,    "export_defaults": {      "format": "png",      "matte_color": "string",      "quality": 0.1    },    "height_px": 0,    "pages": [      {        "background": {          "color": "string",          "gradient": {            "end": {              "x": 0.1,              "y": 0.1            },            "reverse": true,            "start": {              "x": 0.1,              "y": 0.1            },            "stops": [              {                "color": "string",                "offset": 0              }            ],            "type": "linear"          },          "image": {            "fit": "cover",            "media_id": "string"          },          "opacity": 0,          "type": "transparent"        },        "background_color": "string",        "color_grade": {          "brightness": -1,          "contrast": -1,          "exposure": -1,          "highlights": -1,          "hue": -1,          "saturation": -1,          "shadows": -1,          "temperature": -1,          "tint": -1,          "vibrance": -1        },        "color_grade_version": 1,        "guides": {          "horizontal": [            0.1          ],          "vertical": [            0.1          ]        },        "id": "string",        "latest_export_media_id": "string",        "layers": [          {            "effects": {              "blend_mode": "normal",              "drop_shadow": {                "angle": -360,                "blur": 0,                "color": "string",                "distance": 0,                "opacity": 0              },              "inner_shadow": {                "angle": -360,                "blur": 0,                "color": "string",                "distance": 0,                "opacity": 0              },              "stroke": {                "color": "string",                "opacity": 0,                "position": "inside",                "width": 0              }            },            "erase_mask": {              "source_height": 1,              "source_width": 1,              "spans": [                {                  "width": 0.1,                  "x": 0.1,                  "y": 0.1                }              ],              "strokes": [                {                  "points": [                    {                      "x": 0.1,                      "y": 0.1                    }                  ],                  "size": 1                }              ]            },            "id": "string",            "image": {              "adjustments": {                "blur": 0.1,                "brightness": 0.1,                "contrast": 0.1,                "exposure": 0.1,                "highlights": 0.1,                "hue": 0.1,                "saturation": 0.1,                "shadows": 0.1,                "temperature": 0.1,                "tint": 0.1,                "vibrance": 0.1              },              "color_grade_version": 1,              "crop": {                "height": 0.1,                "width": 0.1,                "x": 0.1,                "y": 0.1              },              "fit": "cover",              "intrinsic_pending": true,              "media_id": "string",              "source_height": 0,              "source_width": 0            },            "locked": true,            "mask": {              "inset": 0,              "radius": 0,              "shape": "rectangle"            },            "name": "string",            "opacity": 0.1,            "paint": {              "color": "string",              "gradient": {                "end": {                  "x": 0.1,                  "y": 0.1                },                "reverse": true,                "start": {                  "x": 0.1,                  "y": 0.1                },                "stops": [                  {                    "color": "string",                    "offset": 0                  }                ],                "type": "linear"              },              "kind": "stroke",              "opacity": 0,              "points": [                {                  "x": 0.1,                  "y": 0.1                }              ],              "size": 0,              "source_height": 0,              "source_width": 0,              "spans": [                {                  "width": 0.1,                  "x": 0.1,                  "y": 0.1                }              ]            },            "parent_id": "string",            "shape": {              "fill": "string",              "kind": "rectangle",              "radius": 0.1,              "stroke": "string",              "stroke_width": 0.1            },            "text": {              "align": "string",              "color": "string",              "curve": {                "offset": -1,                "reverse": true,                "strength": 0.05,                "type": "none"              },              "font_asset_id": "string",              "font_family": "string",              "font_size": 0.1,              "font_style": "string",              "font_weight": 0,              "highlight_color": "string",              "letter_spacing": 0.1,              "line_height": 0.1,              "shadow": {                "blur": 0.1,                "color": "string",                "offset_x": 0.1,                "offset_y": 0.1              },              "strike": true,              "stroke_color": "string",              "stroke_width": 0.1,              "text": "string",              "underline": true,              "wrap": "word"            },            "transform": {              "flip_x": true,              "flip_y": true,              "height": 0.1,              "rotation": 0.1,              "width": 0.1,              "x": 0.1,              "y": 0.1            },            "type": "text",            "visible": true          }        ],        "name": "string",        "preview_media_id": "string"      }    ],    "preset_key": "string",    "schema_version": 0,    "title": "string",    "width_px": 0  },  "id": "string",  "name": "string",  "preset_key": "string",  "preview_media_id": "string",  "updated_at": "string",  "workspace_id": "string"}